package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.CostCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.CostVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface CostServiceI {
    CostVO create(CostCreateCmd costCreateCmd);

    PageDTO<CostVO> page(CostPageQry costPageQry);

    List<CostVO> list(CostListQry costListQry);

    CostVO update(CostUpdateCmd costUpdateCmd);

    CostVO show(CostShowQry costShowQry);

    void destroy(CostDestroyCmd costDestroyCmd);

	void drag(CostDragCmd costDragCmd);
}

